Start or continue a discovery session
curl --request POST \
--url https://api.semicola.com/api/v2/buyer/discovery/discover-products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"advertiserId": 123,
"discoveryId": "<string>",
"campaignId": "<string>",
"brief": "<string>",
"channels": [],
"countries": [
"<string>"
],
"budget": "<string>",
"storefrontIds": [
123
],
"progressive": true
}
'import requests
url = "https://api.semicola.com/api/v2/buyer/discovery/discover-products"
payload = {
"advertiserId": 123,
"discoveryId": "<string>",
"campaignId": "<string>",
"brief": "<string>",
"channels": [],
"countries": ["<string>"],
"budget": "<string>",
"storefrontIds": [123],
"progressive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
advertiserId: 123,
discoveryId: '<string>',
campaignId: '<string>',
brief: '<string>',
channels: [],
countries: ['<string>'],
budget: '<string>',
storefrontIds: [123],
progressive: true
})
};
fetch('https://api.semicola.com/api/v2/buyer/discovery/discover-products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"discoveryId": "<string>",
"productGroups": [
{
"groupId": "<string>",
"groupName": "<string>",
"storefrontId": 123,
"storefrontName": "<string>",
"products": [
{
"productId": "<string>",
"name": "<string>",
"description": "<string>",
"channels": [
"display"
],
"formatKinds": [
"image"
],
"deliveryType": "guaranteed",
"pricingOptions": [
{
"pricingOptionId": "<string>",
"pricingModel": "cpm",
"currency": "<string>",
"rate": "<string>",
"floorPrice": "<string>",
"isFixed": true
}
],
"forecast": {}
}
],
"productCount": 4503599627370495,
"totalProducts": 4503599627370495,
"hasMoreProducts": true
}
],
"proposals": [
{
"proposalId": "<string>",
"name": "<string>",
"description": "<string>",
"briefAlignment": "<string>",
"salesAgentId": "<string>",
"storefrontId": 123,
"allocations": [
{
"productId": "<string>",
"productName": "<string>",
"allocationPercentage": 50,
"role": "<string>",
"rationale": "<string>"
}
],
"expiresAt": "2023-11-07T05:31:56Z",
"totalBudgetGuidance": {
"currency": "<string>",
"min": "<string>",
"recommended": "<string>",
"max": "<string>"
}
}
],
"incompleteAgents": [
{
"storefrontId": 123,
"reason": "timeout"
}
],
"revision": 4503599627370495,
"resultsComplete": true,
"pendingAgents": [
"<string>"
]
},
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": "<unknown>"
}
}Product Discovery
Start or continue a discovery session
POST
/
api
/
v2
/
buyer
/
discovery
/
discover-products
Start or continue a discovery session
Authorizations
bearerAuthsessionCookie
API key or OAuth access token.
Body
application/json
Required range:
x <= 9007199254740991Maximum string length:
20000Available options:
display, olv, social, search, ctv, linear_tv, radio, streaming_audio, podcast, dooh, ooh, print, cinema, email, gaming, retail_media, influencer, affiliate, product_placement, sponsored_intelligence Pattern:
^[A-Z]{2}$Pattern:
^-?\d+(\.\d{1,6})?$Show child attributes
Show child attributes
Available options:
cpm, vcpm, cpc, cpcv, cpv, cpp, cpa, flat_rate, time Required range:
x <= 9007199254740991Available options:
quick, long